Facilities
Get facility details
Retrieves detailed information about a specific facility
GET
/
shopping
/
{portfolio}
/
v1
/
facilities
/
{facilityUuid}
Get facility details
curl --request GET \
--url https://public-api.prd.monument.io/shopping/{portfolio}/v1/facilities/{facilityUuid} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://public-api.prd.monument.io/shopping/{portfolio}/v1/facilities/{facilityUuid}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://public-api.prd.monument.io/shopping/{portfolio}/v1/facilities/{facilityUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"facilityUuid": "<string>",
"address": "<string>",
"phone": "<string>",
"facilityName": "<string>",
"amenities": [
"<string>"
],
"unitTypes": [
"<string>"
],
"uniqueAreas": [
123
],
"operatingHours": {
"Sun": {
"isOpen": true,
"openTime": "<string>",
"closeTime": "<string>"
},
"Mon": {
"isOpen": true,
"openTime": "<string>",
"closeTime": "<string>"
},
"Tues": {
"isOpen": true,
"openTime": "<string>",
"closeTime": "<string>"
},
"Wed": {
"isOpen": true,
"openTime": "<string>",
"closeTime": "<string>"
},
"Thurs": {
"isOpen": true,
"openTime": "<string>",
"closeTime": "<string>"
},
"Fri": {
"isOpen": true,
"openTime": "<string>",
"closeTime": "<string>"
},
"Sat": {
"isOpen": true,
"openTime": "<string>",
"closeTime": "<string>"
}
},
"minimumCurrentWebRateInPennies": 123,
"correspondingCurrentStreetRateInPennies": 123,
"rating": 123,
"latitude": "<string>",
"longitude": "<string>",
"email": "<string>",
"additionalInformation": "<string>",
"publicThumbnailUuid": "<string>",
"publicHeroImageUuid": "<string>",
"facilityGateIntegrationVendorUuid": "<string>",
"bestAutoAppliedPromotion": {
"facilityUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unitGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promotionUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promotionName": "<string>",
"highestDiscountAmount": 123
},
"brandOrganizationUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Response
200 - application/json
Details of the requested facility
Show child attributes
Show child attributes
Best auto-applied promotion for the facility
Show child attributes
Show child attributes
First BRAND organization found when traversing up from the facility's direct organization. Present when listing facilities by brand.
⌘I
Get facility details

